# addPodProcessor method

1. @override

void addPodProcessor(

1. PodProcessor processor

)
override

Registers a new pod-aware processor.

Processors are called during pod creation and can modify pod definitions or instances.

## Usage Example:

    factory.addPodProcessor(MyCustomPodProcessor());

@param processor The processor to register

## Implementation

    @override
    void addPodProcessor(PodProcessor processor) {
      synchronized(getPodProcessorCacheManager(), () {
        getPodProcessorCacheManager().remove(processor); // Remove if already present
        getPodProcessorCacheManager().add(processor);
      });
    }